View Issue Details

IDProjectCategoryView StatusLast Update
00308022.x IDE BugsSyntax ErrorsPublic2019-05-08 10:07
ReporterAlexander BorupAssigned ToRussell Kay 
PriorityMediumSeverityC - GeneralReproducibility100%
Status ClosedResolutionFixed 
Product Version2.2.2 
Target Version2.2.3Fixed in Version2.2.3 
Summary0030802: Syntax Errors: Multiple vars in for-loop init not accounting for
DescriptionSee the screenshot. The following code gives an "only referenced once" warning on variable j.

for(var i = 0, j = 10; i < 100; ++i)
    var k = j++;
TagsIDE
2.x IDE Found In
2.x Runtime Found In
2.x IDE Verified In9.2.1.1805
2.x Runtime Verified In9.9.1.1431

Activities

Alexander Borup

2019-05-01 09:37

Developer  

Screenshot_1.png (4,402 bytes)
Screenshot_1.png (4,402 bytes)

Russell Kay

2019-05-07 15:06

Manager   ~0063838

Fixed in github